unit U_YGList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, BtnEdit;

type
  TfrmYGlist = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Memo1: TBtnEditA;
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Memo1BtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmYGlist: TfrmYGlist;

implementation

uses U_UserHelp;

{$R *.dfm}

procedure TfrmYGlist.FormDestroy(Sender: TObject);
begin
  frmYGlist:=nil;
end;

procedure TfrmYGlist.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action:=cahide;
end;

procedure TfrmYGlist.Button1Click(Sender: TObject);
begin
  ModalResult:=1;
end;

procedure TfrmYGlist.Button2Click(Sender: TObject);
begin
  ModalResult:=-1;
end;

procedure TfrmYGlist.Memo1BtnClick(Sender: TObject);
begin
  frmUserHelp:=TfrmUserHelp.create(self);
  with frmUserHelp do
  begin
    if showmodal=1 then
    begin
      Memo1.Text:=trim(ADOQueryHelp.fieldbyname('UserName').AsString);
    end;
    free;
  end;
end;

end.
